Results 1 to 4 of 4

Thread: Compiling glabel

  1. #1
    dick222 NNTP User

    Default Compiling glabel


    I have been using glabel for creating labels for CD/DVD. It is
    available in YAST, but the download for me has some graphics problems,
    making it unusable. I therefore thought that it maybe a good idea to
    compile it from source (my first time to do this!)

    I have checked that all the system requirements listed in the readme
    are present.

    The configure command finds the following errors:

    checking for GLABELS... configure: error: Package requirements
    (glib-2.0 >= 2.12.0 gtk+-2.0 >= 2.10.0 libgnome-2.0 >= 2.16.0
    libgnomeui-2.0 >= 2.16.0 libxml-2.0 >= 2.6.0 libglade-2.0 >= 2.6.0 )
    were not met:

    No package 'glib-2.0' found
    No package 'gtk+-2.0' found
    No package 'libgnome-2.0' found
    No package 'libgnomeui-2.0' found
    No package 'libxml-2.0' found
    No package 'libglade-2.0' found

    I need to let it know where these packages are and this involves the
    pkg-config but after playing with it I am now lost.

    Could anyone give me a clue?


    --
    dick222
    ------------------------------------------------------------------------
    dick222's Profile: http://forums.opensuse.org/member.php?userid=698
    View this thread: http://forums.opensuse.org/showthread.php?t=405233


  2. #2
    geoffro NNTP User

    Default Re: Compiling glabel


    When you checked in yast > software did you see all the packages in the
    list marked not found?
    If so you probably need the devel versions as well

    /Geoff


    --
    Core 2 Duo 3.16GHz, 4GB DDR2, 2.5TB, GeForce 7600 GS, OS 11.1
    x86_64, KDE4.2 RC1 (77.4) 'Smolt specs' (http://tinyurl.com/9hgxhl)
    ------------------------------------------------------------------------
    geoffro's Profile: http://forums.opensuse.org/member.php?userid=75
    View this thread: http://forums.opensuse.org/showthread.php?t=405233


  3. #3
    dick222 NNTP User

    Default Re: Compiling glabel


    Thanks very much - I loaded the devel versions and then config and make
    worked without any errors.

    However make install didn't finish - had errors:

    mkdir -p -- /usr/local/share/omf/glabels
    for file in glabels-C.omf; do \
    /usr/bin/install -c -m 644 $file.out
    /usr/local/share/omf/glabels/$file; \
    done
    /usr/bin/install: cannot stat `glabels-C.omf.out': No such file or
    directory
    make[4]: *** [install-data-hook-omf] Error 1
    make[4]: Leaving directory `/home/dick/build/glabels-2.2.4/help/C'
    make[3]: *** [install-data-am] Error 2
    make[3]: Leaving directory `/home/dick/build/glabels-2.2.4/help/C'
    make[2]: *** [install-am] Error 2
    make[2]: Leaving directory `/home/dick/build/glabels-2.2.4/help/C'
    make[1]: *** [install-recursive] Error 1
    make[1]: Leaving directory `/home/dick/build/glabels-2.2.4/help'
    make: *** [install-recursive] Error 1

    Do you have any more good clues?


    --
    dick222
    ------------------------------------------------------------------------
    dick222's Profile: http://forums.opensuse.org/member.php?userid=698
    View this thread: http://forums.opensuse.org/showthread.php?t=405233


  4. #4
    geoffro NNTP User

    Default Re: Compiling glabel


    Sorry no more clues. But you might get more info if there was an error
    log

    /Geoff
    dick222;1928867 Wrote:
    >
    >
    > Do you have any more good clues?



    --
    Core 2 Duo 3.16GHz, 4GB DDR2, 2.5TB, GeForce 7600 GS, OS 11.1
    x86_64, KDE4.2 RC1 (77.4) 'Smolt specs' (http://tinyurl.com/9hgxhl)
    ------------------------------------------------------------------------
    geoffro's Profile: http://forums.opensuse.org/member.php?userid=75
    View this thread: http://forums.opensuse.org/showthread.php?t=405233


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •